The following table summarizes the available neuroevolution algorithms and their performance.  
We hope this helps EvoJAX users choose the appropriate ones for their experiments.

| Algorithms                                                                                                                                             | Description                                                                                                                                                                                                                                  | Contributors                                    | Performance                                                          |
|--------------------------------------------------------------------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-------------------------------------------------|----------------------------------------------------------------------|
| [ARS](https://arxiv.org/pdf/1803.07055.pdf)                                                                                                            | This is a wrapper of the ARS implementation in [evosax](https://github.com/RobertTLange/evosax). ([source](https://github.com/google/evojax/blob/main/evojax/algo/ars.py))                                                                   | [RobertTLange](https://github.com/RobertTLange)  | [PR](https://github.com/google/evojax/pull/9#issue-1143656302)       |
| [CMA-ES](https://arxiv.org/abs/1604.00772)                                                                                                             | This is a wrapper of the [original](https://github.com/CMA-ES/pycma) implementation. Notice that this runs on CPUs. ([source](https://github.com/google/evojax/blob/main/evojax/algo/cma_wrapper.py))                                        | EvoJAX team | TODO                                                                | 
| [PGPE](https://people.idsia.ch/~juergen/nn2010.pdf)                                                                                                    | This implementation is well tested, all examples are based on this algorithm. We provide two optimizers: Adam and [ClipUp](https://github.com/nnaisense/pgpelib). ([source](https://github.com/google/evojax/blob/main/evojax/algo/pgpe.py)) | EvoJAX team                                     | TODO             |                                                    |
| [SimpleGA](http://cognet.mit.edu/book/simple-genetic-algorithm#:~:text=The%20Simple%20Genetic%20Algorithm%20(SGA,objects%20related%20to%20the%20SGA.)) | This implementation has truncation selection but no crossover. ([source](https://github.com/google/evojax/blob/main/evojax/algo/simple_ga.py))                                                                                                                                                                  | [MaximilienLC](https://github.com/MaximilienLC) | [PR](https://github.com/google/evojax/pull/5#issuecomment-1043879609) |
